Subject: [Simple] Feedback for SIMPLE/MSRP to XMPP interoperability

From: Adrian Georgescu <[email-masked]>
Date: Mon, 4 Feb 2013 14:08:11 +0100

Hello,

By implementing the draft specifications for SIMPLE/MSRP to XMPP and MSRP-switch to MUC gateway we discovered several issues that we needed to tackle differently or were not addressed at all at the moment of their writing. The drafts I am referring to are:

http://tools.ietf.org/html/draft-saintandre-sip-xmpp-core-01
http://xmpp.org/internet-drafts/draft-saintandre-sip-xmpp-presence-02.html
http://xmpp.org/internet-drafts/draft-saintandre-sip-xmpp-im-01.html
http://xmpp.org/internet-drafts/draft-saintandre-sip-xmpp-chat-03.html
http://xmpp.org/internet-drafts/draft-saintandre-sip-xmpp-groupchat-01.html

As there are many comments, we made a web page to summarize them as best as we could.

http://sylkserver.ag-projects.com/projects/sylkserver/wiki/XMPP-Interop

The software implementing these drafts is now available in the public domain. I hope this feedback can be used to continue and finalize the standardization works started in those drafts. I am not sure which WG is the best place for this, so I mailed all three I am aware of.

Regards,
Adrian